"""Top-level package for ferret."""

__author__ = """Giuseppe Attanasio"""
__email__ = "giuseppeattanasio6@gmail.com"
__version__ = "0.1.0"


from .explainers.shap import SHAPExplainer
from .explainers.gradient import GradientExplainer, IntegratedGradientExplainer
from .explainers.lime import LIMEExplainer
from .explainers.dummy import DummyExplainer

from .benchmark import Benchmark


from .evaluation.explanation_evaluation import ExplanationEvalutator
from .evaluation.faithfulness_measures import (
    AOPC_Comprehensiveness_Evaluation,
    AOPC_Sufficiency_Evaluation,
    TauLOO_Evaluation,
)
from .evaluation.plausibility_measures import (
    AUPRC_PlausibilityEvaluation,
    Tokenf1_PlausibilityEvaluation,
    TokenIOU_PlausibilityEvaluation,
)
from .evaluation.classes_evaluation_measures import (
    AOPC_Comprehensiveness_Evaluation_by_class,
)
